org.optaplanner.core.impl.score.stream.bi

## Class SingleBiJoiner<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner<A,B>
    - - org.optaplanner.core.impl.score.stream.bi.SingleBiJoiner<A,B>

- All Implemented Interfaces:
    BiJoiner<A,B>

      public final class SingleBiJoiner<A,B>
      extends AbstractBiJoiner<A,B>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleBiJoiner(Function<A,?> leftMapping, JoinerType joinerType, Function<B,?> rightMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JoinerType` | `getJoinerType()`
    `JoinerType[]` | `getJoinerTypes()`
    `Function<A,Object[]>` | `getLeftCombinedMapping()`
    `Function<A,?>` | `getLeftMapping()`
    `Function<A,Object>` | `getLeftMapping(int index)`
    `Function<B,Object[]>` | `getRightCombinedMapping()`
    `Function<B,?>` | `getRightMapping()`
    `Function<B,Object>` | `getRightMapping(int index)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner

      `getFilter, matches, merge`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `assertMappingIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleBiJoiner

          public SingleBiJoiner(Function<A,?> leftMapping,
                                JoinerType joinerType,
                                Function<B,?> rightMapping)

  - ### Method Detail

    - #### getLeftMapping

          public Function<A,?> getLeftMapping()

    - #### getJoinerType

          public JoinerType getJoinerType()

    - #### getRightMapping

          public Function<B,?> getRightMapping()

    - #### getLeftMapping

          public Function<A,Object> getLeftMapping(int index)

      Specified by:
        `getLeftMapping` in class `AbstractBiJoiner<A,B>`

    - #### getLeftCombinedMapping

          public Function<A,Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractBiJoiner<A,B>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightMapping

          public Function<B,Object> getRightMapping(int index)

      Specified by:
        `getRightMapping` in class `AbstractBiJoiner<A,B>`

    - #### getRightCombinedMapping

          public Function<B,Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractBiJoiner<A,B>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.